.header-right {
  display: flex;
  flex-direction: row;
  align-items: center;
}

.logo a {
  font-family: "Space Grotesk", sans-serif;
  font-size: 24px;
  font-weight: bold;
  text-decoration: none;
  color: var(--primary-text);
}

#logo-gallery {
  font-family: "Betania Patmos", cursive;
  color: var(--accent-main);
}

.nav-links {
  display: flex;
  justify-content: space-around;
  margin: 0;
}

.nav-links li {
  list-style: none;
  margin: 0 10px;
}

.nav-links a {
  position: relative;
  text-decoration: none;
  color: var(--primary-text);
  font-size: 16px;
  font-family: "Space Grotesk", sans-serif;
  transition: 0.3s ease;
}

.nav-links a::after {
  content: "";
  position: absolute;
  bottom: -2px;
  width: 0;
  height: 2px;
  background-color: var(--accent-main);
  left: 50%;
  transform: translateX(-50%);
  transition: width 0.3s ease;
}

.nav-links a:hover::after {
  width: 100%;
}

.realme-brand a {
  text-decoration: none;
  color: var(--accent-main);
  font-size: 16px;
  font-family: "Space Grotesk", sans-serif;
}

#search-icon {
  position: absolute;
  left: 12px;
  top: 50%;
  transform: translateY(-50%);
  color: var(--gray);
  font-size: 20px;
  pointer-events: none;
  line-height: 0;
}

.search-container {
  position: relative;
  display: flex;
  align-items: center;
  margin-left: 10px;
  margin-right: 10px;
}

.search-container input {
  display: flex;
  align-items: center;
  background: var(--accent-main-light);
  border-radius: 8px;
  border: 2px solid var(--hard-light-borders);
  width: 230px;
  height: 40px;
  padding-left: 40px;
  transition: 0.2s;
}

.search-container input:focus {
  outline: none;
  border-color: var(--accent-main);
}

.header-button {
  border: 1px solid transparent;
  background: none;
  cursor: pointer;
  font-size: 18px;
  align-items: center;
}

#login {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  background-color: var(--primary-text);
  border-radius: 0.5vw;
  padding: 7px 7px;
  padding-right: 8px;
  transition: 0.3s ease;
  font-family: "Space Grotesk", sans-serif;
  font-size: 16px;
  font-weight: 700;
  height: 40px;
  width: 95px;
  color: var(--primary-bg);
}

#login:focus {
  background-color: var(--primary-bg);
  color: var(--primary-text);
  border-color: var(--primary-text);
}

#login-icon {
  font-size: 22px;
  margin-right: 5px;
  display: block;
  color: var(--primary-bg);
  transition: 0.3s ease;
}

#menu-button {
  display: none;
  align-items: center;
  justify-content: center;
  border: 2px solid var(--accent-main);
  border-radius: 10px;
  padding: 5px 5px 5px 5px;
}

.buttons {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
  padding-left: 20px;
  line-height: 1;
}

#favorite,
#cart {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  background-color: transparent;
  color: var(--primary-text);
  border-radius: 0.5vw;
  padding: 8px 10px;
  transition: 0.3s ease;
}

#favorite:hover,
#cart:hover {
  background-color: var(--hard-light-borders);
}

#favorite:active,
#cart:active {
  border-color: var(--accent-main);
  outline: none;
}